Skip to main content
curl --request POST 'https://api.mayar.id/hl/v1/product/paymentlink/edit'
--data-raw'{
        "id": "21d84338-b46d-42d7-9b49-d402520407a5",
        "name": "Jasa Buat Website Kece Editan",
        "description": "Deskripsinya diubah",
        "amount": 150000,
        "redirectUrl": "https://example.com/thank-you",
        "notes": "catatan opsional",
        "expiredAt": "2026-06-15T12:00:00.000Z"
    }'

{
    "statusCode": 200,
    "messages": "success",
    "data": {
        "id": "21d84338-b46d-42d7-9b49-d402520407a5",
        "link": "https://testingmayar.myr.id/pl/Jasa-Buat-Website-Kece"
    }
}
Endpoint:
https://api.mayar.id/hl/v1/product/paymentlink/edit

Authorization

Authorization
string
required
Example:Authorization | Bearer Paste-Your-API-Key-Here

Request Body

id
string
required
Unique identifier of the generic payment link product.
name
string
required
Generic payment link product name.
description
string
required
Generic payment link product description.
amount
integer
required
Product price amount.
redirectUrl
string
URL where the customer will be redirected after completing payment.
notes
string
Additional notes for the payment link.
expiredAt
string | datetime
Payment link expiration date in ISO 8601 format.

Response

Successful Response

Main Structure (Root)

statusCode
integer
Status code from API.
messages
string
Status message that describes the status code.
data
object
The updated generic payment link product data.

data Structure (Array of Object)

data.id
string
Unique identifier of the generic payment link product.
Public payment link URL of the updated product.